.contenedor-menu {
  position: sticky;
  height: 100%;
  box-shadow: 0 5px 15px rgba(0, 0, 0, .4);
  border-right:2px solid var(--primary);
}

/* ESTILOS DEL LOGO */
.contenedor-menu .logo {
  max-height: 20%;
}

.contenedor-menu .logo .img-contenedor {
  display: flex;
  padding: 10px;
  height: 100%;
}

.contenedor-menu .logo .img-contenedor img{ 
  max-width: 100%;
  height: 100%;
}
/* FIN DE LOS ESTILOS DEL LOGO */

.contenedor-menu .p-divider {
  margin: 14px 0;
}

/* ESTILOS DEL BOTON PARA OCULTAR MENU */
.contenedor-menu .boton-menu {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 101px;
  right: -18px;
  height: 32px;
  width: 32px;
  border-radius: 50%;
  border: 2px solid var(--primary);
  background-color: white;
  color: var(--primary);
  cursor: pointer;
  transition: all 500ms;
  z-index: 2;
}
.contenedor-menu .boton-menu.rotar-boton {
  transform: initial;
}

.contenedor-menu .boton-menu.normal {
  transform: rotate(180deg);
}
/* FIN ESTILO BOTON OCULTAR MENU*/

/* ESTILOS DE LOS ENLACES */
.contenedor-menu .enlace {
  height: 3.6rem;
  display: flex;
  color: var(--infoDark);
  gap: 1rem;
  align-items: center;
  position: relative;
  transition: all 300ms ease;
  text-decoration: none;
}

.contenedor-menu .enlace i {
  font-size: 1.6rem;
  margin-left: 2rem;
  transition: all 300ms ease;
}

.contenedor-menu .enlace:last-child {
  position: absolute;
  bottom: 2rem;
  width: 100%;
}

.contenedor-menu .enlace.activo {
  background: var(--ligth);
  color: white;
}

.contenedor-menu .enlace.activo i {
  margin-left: 0;
}

.contenedor-menu .enlace.activo::before {
  content: '';
  width: 15px;
  height: 100%;
  background-color: var(--primary);
}

.contenedor-menu .enlace:hover {
  color: var(--primary);
}

.contenedor-menu .enlace:hover i {
  margin-left: 3rem;
}

.contenedor-menu .enlace.activo:hover i {
  margin-left: 1rem;
  color: white;
}

.contenedor-menu .enlace.activo:hover {
  color: white;
}
/* FIN DE LOS ESTILOS DE LOS ENLACES */